#ifndef _CLOCK_H
#define _CLOCK_H

#define FLAG_SUMMERTIME_PENDING 1
#define FLAG_CEST 2
#define FLAG_CET 4
#define FLAG_LEAP_SECOND 8

struct time {
  u8 second;
  u8 minute;
  u8 hour;
  u8 day;
  u8 wday;
  u8 month;
  u8 year;
  u8 flags;
};

extern struct time time;

void display_date(void);
void display_time(void);
void clock( void );
u8 is_cet(void);
u8 is_cest(void);

#endif /* _CLOCK_H */
